probe::nfs.aop.writepage
Prev | Chapter 31. Network File Storage Tapsets | Next

## Name

probe::nfs.aop.writepage — NFS client writing a mapped page to the NFS server

## Synopsis

    nfs.aop.writepage

## Values

`__page`

  the address of page

`ino`

  inode number

`sb_flag`

  super block flags

`i_flag`

  file flags

`dev`

  device identifier

`wsize`

  write size

`for_kupdate`

  a flag of writeback_control, indicates if it's a kupdate writeback

`i_size`

  file length in bytes

`page_index`

  offset within mapping, can used a page identifier and position identifier in the page frame

`i_state`

  inode state flags

`for_reclaim`

  a flag of writeback_control, indicates if it's invoked from the page allocator

`size`

  number of pages to be written in this execution

## Description

The priority of wb is decided by the flags `for_reclaim` and `for_kupdate`.

Prev | Up | Next
probe::nfs.aop.write_end | Home | probe::nfs.aop.writepages